###########################################################################
#
#   - created by the snmpconf configuration program
#
###########################################################################
# SECTION: System Information Setup
#
#   This section defines some of the information reported in
#   the "system" mib group in the mibII tree.

# syslocation: The [typically physical] location of the system.
#   arguments:  location_string

syslocation  company

# syscontact: The contact information for the administrator
#   arguments:  contact_string

syscontact  administrator@company.com



###########################################################################
# SECTION: Access Control Setup
#
#   This section defines who is allowed to talk to your running
#   snmp agent.

# rwcommunity: a SNMPv1/SNMPv2c read-write access community name
#   arguments:  community [default|hostname|network/bits] [oid]

rwcommunity  private

# rocommunity: a SNMPv1/SNMPv2c read-only access community name
#   arguments:  community [default|hostname|network/bits] [oid]

rocommunity public


###########################################################################
# SECTION: Extending the Agent
#
#   You can extend the snmp agent to have it return information
#   that you yourself define.

# dlmod: dynamically extend the agent using a shared-object
#   arguments:  module-name module-path

master agentx
AgentXSocket localhost:705


###########################################################################
# SECTION: Trap Destinations
#
#   Here we define who the agent will send traps to.

# authtrapenable: Should we send traps when authentication failures occur
#   arguments: 1 | 2   (1 = yes, 2 = no)

authtrapenable  1

# trapcommunity: Default trap sink community to use
#   arguments: community-string

trapcommunity private

# trapsink: A SNMPv1 trap receiver
#   arguments: host [community] [portnum]

#trapsink localhost

# trap2sink: A SNMPv2c trap receiver
#   arguments: host [community] [portnum]

trap2sink  localhost


